previous next contents | bottom

# Xdialog documentation - Special options

These options are "special" because they just make Xdialog to print a string on stderr and exit immediately without displaying any widget (they should therefore not be used together with any other option).

## Available special options:

     --version
     --print-version
     --print-maxsize
     --feature-check

- --version
- --print-version

  These options make Xdialog to print its version number to stderr and exit. This is useful to check from a script if the installed version of Xdialog is able to use some of the latest widgets that have been implemented since Xdialog exists... The difference between --version and --print-version is that the later prefixes the version number with "Version: " (in a cdialog compatible way).

  Examples:

      $ Xdialog --version
      1.5.1
      $ Xdialog --print-version
      Version: 1.5.1
      $ _

  See also the (c)dialog compatibility notes.

- --print-maxsize

  This option (cdialog compatible) makes Xdialog to print the maximum possible size usable for the Xdialog widgets so that they fit the screen. The size is given in characters in the following form: MaxSize: <height>, <width>

  Example:

      $ Xdialog --print-maxsize
      MaxSize: 62, 144
      $ _

- --feature-check

  This option makes Xdialog print the features it that it supports. The version number is printed first, then every feature printed as a word, separated by spaces. This option is meant for scripts so that they can adapt themselves based on the (optional) features supported by different versions or builds of Xdialog. For example, it allows scripts to detect if the Xdialog is compiled with GTK+ 2 or GTK+ 3 support, and whether it supports --rc-file or --style-file. This feature is only available from version 2.3.4 onwards.

  Example:

      $ Xdialog --feature-check
      2.3.4 GTK3 STYLE_FILE
      $ _

  The example above shows that Xdialog is of version 2.3.4, and that it has been built with GTK+ 3, and it supports the --style-file instead of --rc-file.

previous next contents | top